[
{
    blockid=part;
    help=store_part_part;
    custom=com.netscape.management.msgserv.StoreGeneralControl;
    localvar={
	/* translate this block */
	.header.text="Partition Configuration";
	.part.text="List of partitions of the message store";
	.default.header="Default";
	.name.header="Nickname";
	.path.header="Path";
    };
    content=[
	{
	    ctrl=pane;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text=$.header.text;
		    wrap=$g.label.size5;
		    font=["","",16];
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=separator;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    layout=[ybox];
		    content=[
			{
			    ctrl=label;
			    id=partlabel;
			    text=$.part.text;
			    wrap=$g.label.size4;
			},
			{
			    ctrl=vstrut;
			},
			{
			    ctrl=table;
			    label=partlabel;
			    id=parttable;
			    showedit=true;
          addtext=$g.addbutton.text;
          edittext=$g.editbutton.text;
          deltext=$g.deletebutton.text;
			    columns=[
				{
				    header=$.default.header;
				    renderer=boolean;
				    editor=boolean;
				    width=60;
				},
				{
				    header=$.name.header;
				    width=120;
				},
				{
				    header=$.path.header;
				    width=260;
				}
			    ];
			}
		    ]
		}
	    ]
	}
    ]
},
{
    blockid=editentry;
    help=store_part_editentry;
    localvar={
	.name.text="Partition nickname:";
	.path.text="Partition path:";
	.default.text="Make this the default partition";
    };
    content=[
	{
	    ctrl=pane;
	    layout=[ybox];
	    content=[
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=namelabel;
			    text=$.name.text;
			    wrap=$g.label.size1;
			    aligny=0.5;
			},
			{
			    ctrl=text;
			    label=namelabel;
			    val=$name;
			    aligny=0.5;
			    validate=com.netscape.management.msgserv.util.ValidLowerAlphanumeric;
			    errhint=$.name.text;
			    focus=true;
			},
			{
			    ctrl=hglue;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=label;
		    id=pathlabel;
		    text=$.path.text;
		    wrap=$g.label.size3;
		},
		{
		    ctrl=text;
		    label=pathlabel;
		    val=$path;
		    validate=com.netscape.management.msgserv.util.ValidAbsolutePath;
		    errhint=$.path.text;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=togglepane;
		    id=defaultcheck;
		    label=defaultlabel;
		    val=$.default.val;
		    text=$.default.text;
		}
	    ]
	}
    ]
}
]
